Skip to content

Veeam Managed Backup

All operations require authentication.

19 operationsv2/backupServices/reference · /backupServices/tenant
Agent setup

Lists, per region where a Hosted Private Cloud is located, the region hosting the vaults of its Managed Backup service and the regions allowed as replication secondary siteBeta

GET
/v2/backupServices/reference/managedBackupVaultRegion

Response

200objectsuccessful operation
primaryRegionName
read-only
RegionEnum

Region hosting the backup stack and the primary copy of the vaults for a Hosted Private Cloud located in this region, as reported in the vaultRegion of a Managed Backup service

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
secondaryRegions
read-only
ManagedBackupVaultRegionCandidate[]

Regions that can be chosen as replication secondary site when ordering a Managed Backup service for a Hosted Private Cloud located in this region

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/backupServices/reference/managedBackupVaultRegion \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "key": { "primaryRegionName": "af-north-lz-rba", "secondaryRegions": [ { "name": "af-north-lz-rba", "preferred": true } ] }}

Retrieves the backup tenants you manageBeta

GET
/v2/backupServices/tenant

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200tenantWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time the backup tenant is created

currentState
read-only
CurrentState

Current operational state of the backup tenant

currentTasks
read-only
CurrentTask[]

List of tasks that are currently running for the backup tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the backup tenant

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the backup tenant

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target state of the backup tenant

updatedAt
read-only
stringdate-time

Date and time the backup tenant is last updated

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves the details of your backup tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Response

200tenantWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time the backup tenant is created

currentState
read-only
CurrentState

Current operational state of the backup tenant

currentTasks
read-only
CurrentTask[]

List of tasks that are currently running for the backup tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the backup tenant

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the backup tenant

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target state of the backup tenant

updatedAt
read-only
stringdate-time

Date and time the backup tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists vaults for your tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200vaultWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves specific vault detailsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Response

200vaultWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates vault display name and cloud repositoryBeta

PUT
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Request body (required)

name
required
string

Display name of your vault

Response

200vaultsuccessful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists buckets of the vaultBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200bucket[]successful operation
encrypted
read-only
boolean

Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.

id
read-only
stringuuid

Specifies the unique identifier of the bucket

immutability
read-only
Immutability

Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.

name
read-only
string

Specifies the name of the bucket

performance
read-only
BucketPerformanceEnum

Specifies the performance tier of the bucket

ValuesHIGH_PERFSTANDARD
region
read-only
RegionEnum

Specifies the geographic region where the bucket is located

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
role
read-only
BucketRoleEnum

Specifies the role assigned to the bucket

ValuesPRIMARYREPLICA
status
read-only
ResourceStatusEnum

Specifies the current status of the bucket

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" }]

Gets specific vault bucket detailsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

bucketId
required
stringuuid

Bucket ID

vaultId
required
string

Vault ID

Response

200bucketsuccessful operation
encrypted
read-only
boolean

Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.

id
read-only
stringuuid

Specifies the unique identifier of the bucket

immutability
read-only
Immutability

Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.

name
read-only
string

Specifies the name of the bucket

performance
read-only
BucketPerformanceEnum

Specifies the performance tier of the bucket

ValuesHIGH_PERFSTANDARD
region
read-only
RegionEnum

Specifies the geographic region where the bucket is located

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
role
read-only
BucketRoleEnum

Specifies the role assigned to the bucket

ValuesPRIMARYREPLICA
status
read-only
ResourceStatusEnum

Specifies the current status of the bucket

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING"}

Retrieves S3™*-compatible credentials and connection endpoint for a vault bucketBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}/credentials

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Path parameters

backupServicesId
required
stringuuid

Backup services ID

bucketId
required
stringuuid

Bucket ID

vaultId
required
string

Vault ID

Response

200Credentialssuccessful operation
accessKey
read-only
string

S3 access key

bucketName
read-only
string

Name of the bucket these credentials belong to

endpoint
read-only
string

S3 endpoint URL to configure in your environment

regionCode
read-only
RegionCodeEnum

Short region code of the bucket

Valuesap-south-mumap-southeast-sydbhsca-east-tordeeu-south-mileu-west-pargrarbxsbgsgpukwaw
secretKey
read-only
stringpassword

S3 secret key, sensitive value

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}/credentials \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessKey": "string", "bucketName": "string", "endpoint": "string", "regionCode": "ap-south-mum", "secretKey": "string"}

Retrieves list of VSPC tenantsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200vspcWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves details of a specific VSPC tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200vspcWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates the display name of a VSPC tenantBeta

PUT
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

name
required
string

Display name of the tenant

Response

200vspcsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Retrieves the Managed Backup services of the VSPC tenant, one per protected Hosted Private Cloud; empty when the Managed Backup add-on is not enabledBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200managedBackupWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves a Managed Backup service of the VSPC tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200managedBackupWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates the display name of a Managed Backup serviceBeta

PUT
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

displayName
required
string

Display name of the service

Response

200managedBackupsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Retrieves the current billable consumption of the Managed Backup service: number of backed up virtual machines per vault level and size band with the matching plan code; no price is returnedBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/consumption

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200Consumptionsuccessful operation
billedVmCount
read-only
integer

Number of virtual machines generating a billing line, the sum of the vmCount of all lines

lines
read-only
ConsumptionLine[]

One line per non-empty combination of vault level and size band. Empty while the service is suspended.

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/consumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billedVmCount": 0, "lines": [ { "planCode": "string", "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmCount": 0 } ]}

Resets the password of your account on the Veeam Backup & Replication web interface of the Managed Backup serviceBeta

POST
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/resetPassword

The account is the one reported in currentState.vbrLogin. The new password is generated by the platform and delivered to the contacts of your account. It is never returned by the API. Accepted on a READY or SUSPENDED service without a password reset already in progress.

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200managedBackupsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

403objectError 403 response
409objectError 409 response

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/resetPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists the virtual machines known to the Managed Backup service with their protection state, billing dimensions and last backup informationBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200virtualMachine[]successful operation
id
read-only
string

vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.

lastBackupAt
read-only
stringdate-time

Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.

name
read-only
string

Name of the virtual machine in vSphere at the last refresh

protectionStatus
read-only
ManagedBackupVmProtectionStatusEnum

Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.

ValuesPROTECTEDUNPROTECTED
refreshedAt
read-only
stringdate-time

Date and time when this entry was last refreshed from the backup platform

restorePointCount
read-only
integer

Number of restore points currently held for the virtual machine. 0 when it has never been backed up.

sizeBand
read-only
ManagedBackupSizeBandEnum

Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.

ValuesMAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TB
vaultLevel
read-only
ManagedBackupVaultLevelEnum

Vault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.

ValuesADVANCEDPREMIUMSTANDARD
vmSizeGb
read-only
integer

Used size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0 }]

Retrieves the protection state, billing dimensions and last backup information of a virtual machineBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine/{virtualMachineId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

virtualMachineId
required
string

Virtual machine ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200virtualMachinesuccessful operation
id
read-only
string

vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.

lastBackupAt
read-only
stringdate-time

Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.

name
read-only
string

Name of the virtual machine in vSphere at the last refresh

protectionStatus
read-only
ManagedBackupVmProtectionStatusEnum

Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.

ValuesPROTECTEDUNPROTECTED
refreshedAt
read-only
stringdate-time

Date and time when this entry was last refreshed from the backup platform

restorePointCount
read-only
integer

Number of restore points currently held for the virtual machine. 0 when it has never been backed up.

sizeBand
read-only
ManagedBackupSizeBandEnum

Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.

ValuesMAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TB
vaultLevel
read-only
ManagedBackupVaultLevelEnum

Vault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.

ValuesADVANCEDPREMIUMSTANDARD
vmSizeGb
read-only
integer

Used size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.

400objectError 400 response
404objectError 404 response

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, virtualMachineId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine/{virtualMachineId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0}